package conn

import (
	"context"
	"fmt"

	"git.giaever.org/bnb.hosting/database/config"
	_ "github.com/go-sql-driver/mysql"
	"github.com/jmoiron/sqlx"
)

type DB struct {
	*sqlx.DB
}

func Connect(ctx context.Context) (*DB, error) {
	db, err := sqlx.ConnectContext(ctx, "mysql", fmt.Sprintf(
		"%s:%s@%s(%s:%d)/%s%s",
		config.USER,
		config.PASS,
		config.PROTOCOL,
		config.HOST,
		config.PORT,
		config.DATABASE,
		config.OPTIONS,
	))

	return &DB{
		db,
	}, err
}
