package orm

import (
	"reflect"
	"strings"
)

type field struct {
	name string
	ref  string
	typ  reflect.Kind
}

func (f field) String() string {
	return f.name + " (" + f.ref + "|" + f.typ.String() + ")"
}

type fields []field

func (fs fields) String() string {
	s := []string{}
	for _, f := range fs {
		s = append(s, f.String())
	}
	return strings.Join(s, ",")
}
